Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class ExtendedStringEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedStringEditor

public class ExtendedStringEditor
extends ExtendedEditor

Represents ExtendedEditor for the String values.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`ExtendedStringEditor()` Constructs editor without a title and writeable.
`ExtendedStringEditor(String title)` Constructs editor with the title and writeable.
`ExtendedStringEditor(String title, boolean readOnly)` Constructs editor with the title.

Method Summary
`void` | `doAction()` Opens extended dialog to edit value.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
`editingCanceled, editingStopped, getChooserType, getInnerEditor, getValue, setValue`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### ExtendedStringEditor

    public ExtendedStringEditor()

  Constructs editor without a title and writeable.

### ExtendedStringEditor

    public ExtendedStringEditor(String title)

  Constructs editor with the title and writeable.

### ExtendedStringEditor

    public ExtendedStringEditor(String title, boolean readOnly)

  Constructs editor with the title.
  Parameters:
    readOnly - if true then this editor will be read-only, if false - writeable

Method Detail

### doAction

    public void doAction()

  Opens extended dialog to edit value.

Association Links

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD